[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Constraints

Determine Constraints (max and min height and width) for this control

## Declaration

Source position: controls.pp line 1332

`public property TControl.Constraints: TSizeConstraints read FConstraints write SetConstraints;`

## Description

// standard properties, which should be supported by all descendants

Determine Constraints (max and min height and width) for this control; reads the size constraints or stores new ones.

## See also

#lcl.Controls.TSizeConstraints |  | TSizeConstraints - limits that are set to determine the maximum and minimum values that can be used in sizing objects

The latest version of this document can be found at lazarus-ccr.sourceforge.net.